### Method

# Foundry TerminalLauncher run

#### Declaration [src]

    DexFuture*
    foundry_terminal_launcher_run (
      FoundryTerminalLauncher* self,
      int pty_fd
    )

#### Description [src]

The `pty_fd` is duplicated and therefore may be closed by the caller after calling this function.

#### Parameters

`pty_fd`

  Type: `int`

  The consumer side of the PTY (e.g. “master”).

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GSubprocess`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.